# Method Pike.__Backend()->find_call_out()

Method find_call_out

  ``int` find_call_out(`function`(:`void`) `f`)`
  ``int` find_call_out(`array` `id`)`

Description

  Find a call out in the queue.

  This function searches the call out queue. If given a function as argument, it looks for the first call out scheduled to that function.

  The argument can also be a call out id as returned by call_out(), in which case that call_out will be found (Unless it has already been called).

Returns

  find_call_out() returns the remaining time in seconds before that call_out will be executed. If no call_out is found, zero_type(find_call_out(f)) will return 1.

See also

  call_out(), remove_call_out(), call_out_info()